Here’s the link to find out if your server is vulnerable to CVE-2014-0160:

http://filippo.io/Heartbleed/

Very useful and has a nice UI